import json

from ttfrog.db.bootstrap import loader


def test_dump_load(db, bootstrap):
    # dump the bootstrapped data
    data = json.loads(db.dump())

    # clear the database and reinitialize
    db.metadata.drop_all(bind=db.engine)
    db.metadata.create_all(db.engine)

    # load the dump
    db.load(data)

    # dump again and compare to the initial data
    assert data == json.loads(db.dump())


def test_loader(db, bootstrap):
    loader.load(db.dump())
    assert len(db.Ancestry.all()) > 0


def test_default(db):
    loader.load()
    assert len(db.Ancestry.all()) > 0
